public static interface BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder
extends org.apache.camel.builder.EndpointConsumerBuilder
| Modifier and Type | Method and Description |
|---|---|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
accessKey(String accessKey)
Access key for the associated azure account name to be used for
authentication with azure blob services.
|
default BlobEndpointBuilderFactory.AdvancedBlobEndpointConsumerBuilder |
advanced() |
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
backoffErrorThreshold(int backoffErrorThreshold)
The number of subsequent error polls (failed due some error) that
should happen before the backoffMultipler should kick-in.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
backoffErrorThreshold(String backoffErrorThreshold)
The number of subsequent error polls (failed due some error) that
should happen before the backoffMultipler should kick-in.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
backoffIdleThreshold(int backoffIdleThreshold)
The number of subsequent idle polls that should happen before the
backoffMultipler should kick-in.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
backoffIdleThreshold(String backoffIdleThreshold)
The number of subsequent idle polls that should happen before the
backoffMultipler should kick-in.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
backoffMultiplier(int backoffMultiplier)
To let the scheduled polling consumer backoff if there has been a
number of subsequent idles/errors in a row.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
backoffMultiplier(String backoffMultiplier)
To let the scheduled polling consumer backoff if there has been a
number of subsequent idles/errors in a row.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobName(String blobName)
The blob name, to consume specific blob from a container.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobOffset(long blobOffset)
Set the blob offset for the upload or download operations, default is
0.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobOffset(String blobOffset)
Set the blob offset for the upload or download operations, default is
0.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobServiceClient(Object blobServiceClient)
Client to a storage account.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobServiceClient(String blobServiceClient)
Client to a storage account.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobType(BlobEndpointBuilderFactory.BlobType blobType)
The blob type in order to initiate the appropriate settings for each
blob type.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobType(String blobType)
The blob type in order to initiate the appropriate settings for each
blob type.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
bridgeErrorHandler(boolean bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
bridgeErrorHandler(String bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
closeStreamAfterRead(boolean closeStreamAfterRead)
Close the stream after read or keep it open, default is true.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
closeStreamAfterRead(String closeStreamAfterRead)
Close the stream after read or keep it open, default is true.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
credentials(Object credentials)
StorageSharedKeyCredential can be injected to create the azure
client, this holds the important authentication information.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
credentials(String credentials)
StorageSharedKeyCredential can be injected to create the azure
client, this holds the important authentication information.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
dataCount(Long dataCount)
How many bytes to include in the range.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
dataCount(String dataCount)
How many bytes to include in the range.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
delay(long delay)
Milliseconds before the next poll.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
delay(String delay)
Milliseconds before the next poll.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
fileDir(String fileDir)
The file directory where the downloaded blobs will be saved to, this
can be used in both, producer and consumer.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
greedy(boolean greedy)
If greedy is enabled, then the ScheduledPollConsumer will run
immediately again, if the previous run polled 1 or more messages.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
greedy(String greedy)
If greedy is enabled, then the ScheduledPollConsumer will run
immediately again, if the previous run polled 1 or more messages.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
initialDelay(long initialDelay)
Milliseconds before the first poll starts.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
initialDelay(String initialDelay)
Milliseconds before the first poll starts.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
maxResultsPerPage(Integer maxResultsPerPage)
Specifies the maximum number of blobs to return, including all
BlobPrefix elements.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
maxResultsPerPage(String maxResultsPerPage)
Specifies the maximum number of blobs to return, including all
BlobPrefix elements.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
maxRetryRequests(int maxRetryRequests)
Specifies the maximum number of additional HTTP Get requests that
will be made while reading the data from a response body.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
maxRetryRequests(String maxRetryRequests)
Specifies the maximum number of additional HTTP Get requests that
will be made while reading the data from a response body.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
prefix(String prefix)
Filters the results to return only blobs whose names begin with the
specified prefix.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
regex(String regex)
Filters the results to return only blobs whose names match the
specified regular expression.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
repeatCount(long repeatCount)
Specifies a maximum limit of number of fires.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
repeatCount(String repeatCount)
Specifies a maximum limit of number of fires.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
runLoggingLevel(org.apache.camel.LoggingLevel runLoggingLevel)
The consumer logs a start/complete log line when it polls.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
runLoggingLevel(String runLoggingLevel)
The consumer logs a start/complete log line when it polls.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
scheduledExecutorService(ScheduledExecutorService scheduledExecutorService)
Allows for configuring a custom/shared thread pool to use for the
consumer.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
scheduledExecutorService(String scheduledExecutorService)
Allows for configuring a custom/shared thread pool to use for the
consumer.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
scheduler(Object scheduler)
To use a cron scheduler from either camel-spring or camel-quartz
component.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
scheduler(String scheduler)
To use a cron scheduler from either camel-spring or camel-quartz
component.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
schedulerProperties(Map values)
To configure additional properties when using a custom scheduler or
any of the Quartz, Spring based scheduler.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
schedulerProperties(String key,
Object value)
To configure additional properties when using a custom scheduler or
any of the Quartz, Spring based scheduler.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
sendEmptyMessageWhenIdle(boolean sendEmptyMessageWhenIdle)
If the polling consumer did not poll any files, you can enable this
option to send an empty message (no body) instead.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
sendEmptyMessageWhenIdle(String sendEmptyMessageWhenIdle)
If the polling consumer did not poll any files, you can enable this
option to send an empty message (no body) instead.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
serviceClient(Object serviceClient)
Client to a storage account.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
serviceClient(String serviceClient)
Client to a storage account.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
startScheduler(boolean startScheduler)
Whether the scheduler should be auto started.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
startScheduler(String startScheduler)
Whether the scheduler should be auto started.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
timeout(Duration timeout)
An optional timeout value beyond which a RuntimeException will be
raised.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
timeout(String timeout)
An optional timeout value beyond which a RuntimeException will be
raised.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
timeUnit(String timeUnit)
Time unit for initialDelay and delay options.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
timeUnit(TimeUnit timeUnit)
Time unit for initialDelay and delay options.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
useFixedDelay(boolean useFixedDelay)
Controls if fixed delay or fixed rate is used.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
useFixedDelay(String useFixedDelay)
Controls if fixed delay or fixed rate is used.
|
default BlobEndpointBuilderFactory.AdvancedBlobEndpointConsumerBuilder advanced()
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobName(String blobName)
blobName - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobOffset(long blobOffset)
blobOffset - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobOffset(String blobOffset)
blobOffset - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobServiceClient(Object blobServiceClient)
blobServiceClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobServiceClient(String blobServiceClient)
blobServiceClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobType(BlobEndpointBuilderFactory.BlobType blobType)
blobType - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobType(String blobType)
blobType - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder closeStreamAfterRead(boolean closeStreamAfterRead)
closeStreamAfterRead - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder closeStreamAfterRead(String closeStreamAfterRead)
closeStreamAfterRead - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder credentials(Object credentials)
credentials - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder credentials(String credentials)
credentials - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder dataCount(Long dataCount)
dataCount - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder dataCount(String dataCount)
dataCount - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder fileDir(String fileDir)
fileDir - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxResultsPerPage(Integer maxResultsPerPage)
maxResultsPerPage - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxResultsPerPage(String maxResultsPerPage)
maxResultsPerPage - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxRetryRequests(int maxRetryRequests)
maxRetryRequests - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxRetryRequests(String maxRetryRequests)
maxRetryRequests - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder prefix(String prefix)
prefix - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder regex(String regex)
regex - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder serviceClient(Object serviceClient)
serviceClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder serviceClient(String serviceClient)
serviceClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder timeout(Duration timeout)
timeout - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder timeout(String timeout)
timeout - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder bridgeErrorHandler(boolean bridgeErrorHandler)
bridgeErrorHandler - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder bridgeErrorHandler(String bridgeErrorHandler)
bridgeErrorHandler - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder sendEmptyMessageWhenIdle(boolean sendEmptyMessageWhenIdle)
sendEmptyMessageWhenIdle - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder sendEmptyMessageWhenIdle(String sendEmptyMessageWhenIdle)
sendEmptyMessageWhenIdle - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffErrorThreshold(int backoffErrorThreshold)
backoffErrorThreshold - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffErrorThreshold(String backoffErrorThreshold)
backoffErrorThreshold - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffIdleThreshold(int backoffIdleThreshold)
backoffIdleThreshold - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffIdleThreshold(String backoffIdleThreshold)
backoffIdleThreshold - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffMultiplier(int backoffMultiplier)
backoffMultiplier - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder backoffMultiplier(String backoffMultiplier)
backoffMultiplier - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder delay(long delay)
delay - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder delay(String delay)
delay - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder greedy(boolean greedy)
greedy - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder greedy(String greedy)
greedy - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder initialDelay(long initialDelay)
initialDelay - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder initialDelay(String initialDelay)
initialDelay - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder repeatCount(long repeatCount)
repeatCount - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder repeatCount(String repeatCount)
repeatCount - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder runLoggingLevel(org.apache.camel.LoggingLevel runLoggingLevel)
runLoggingLevel - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder runLoggingLevel(String runLoggingLevel)
runLoggingLevel - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder scheduledExecutorService(ScheduledExecutorService scheduledExecutorService)
scheduledExecutorService - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder scheduledExecutorService(String scheduledExecutorService)
scheduledExecutorService - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder scheduler(Object scheduler)
scheduler - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder scheduler(String scheduler)
scheduler - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder schedulerProperties(String key, Object value)
key - the option keyvalue - the option valuedefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder schedulerProperties(Map values)
values - the valuesdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder startScheduler(boolean startScheduler)
startScheduler - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder startScheduler(String startScheduler)
startScheduler - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder timeUnit(TimeUnit timeUnit)
timeUnit - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder timeUnit(String timeUnit)
timeUnit - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder useFixedDelay(boolean useFixedDelay)
useFixedDelay - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder useFixedDelay(String useFixedDelay)
useFixedDelay - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder accessKey(String accessKey)
accessKey - the value to setApache Camel